This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 187327 - kscd in Fedora 5-8 suddenly stops playback twice/once per CD
kscd in Fedora 5-8 suddenly stops playback twice/once per CD
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
8
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-29 21:00 EST by Kevin Kofler
Modified: 2009-01-09 01:56 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:56:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2006-03-29 21:00:34 EST
Description of problem:  
In Fedora Core 5, when I play back a CD with kscd (no matter whether I started   
kscd from the menu or through the HAL autoplay support), after about 3:30 of   
playback, kscd suddenly stops playing. If I restart the playback (by selecting   
a track from the list), after about 30 seconds, it stops again. Restarting   
playback again the same way then works and plays the CD to the end. This   
happens consistently with different audio CDs (which AFAIK are all not   
copy-protected), so it's definitely not some copy protection on a particular   
CD. This didn't happen with KDE 3.5.1 on FC4. 
   
Version-Release number of selected component (if applicable):   
kdemultimedia-3.5.1-2   
hal-0.5.7-3  
dbus-0.61-3  
udev-084-13  
kernel-2.6.16-1.2080_FC5  
   
How reproducible: 
Always (on my system at least)   
   
Steps to Reproduce: 
1. Run kscd.  
2. Start playback.  
3. Wait about 3:30. Depending of the CD, somewhere within the first 3 tracks,  
the bug will trigger.  
  
Actual results: 
Playback suddenly stops for no reason.  
  
Expected results: 
Playback continues until the end of the CD, or until I explicitly stop it.  
  
Additional info: 
Given that this doesn't happen on FC4 with the same version of KDE, I suspect  
this is actually a hal or udev (or kernel?) bug. (Or could it be due to the 
HAL/DBUS support patches in FC5's KDE?) Sadly, there are no hints as to what 
the problem could be in dmesg or /var/log/messages. What component should this 
be assigned to?
Comment 1 Kevin Kofler 2006-04-22 17:04:52 EDT
Still happens with kdemultimedia 3.5.2 and the 2096 kernel.
Comment 2 Kevin Kofler 2006-10-24 17:06:26 EDT
Still happens with:
kdemultimedia-3.5.4-2.fc6
hal-0.5.8.1-4.fc6
dbus-0.93-3.fc6
udev-095-14
kernel-2.6.18-1.2798.fc6
(and on different hardware), however, the unexpected interruption now appears 
to be a single one (though this may depend on the hardware or the individual 
CD).
Comment 3 Kevin Kofler 2006-10-25 15:16:17 EDT
Getting the 2 interruptions again now.
Comment 4 Kevin Kofler 2006-10-25 15:19:21 EDT
In case the CD hardware matters: this computer has a TOSHIBA DVD-ROM SD-M1612, 
the old one had a TOSHIBA DVD-ROM SD-M1402. So both are Toshiba drives.
Comment 5 Chitlesh GOORAH 2006-11-10 16:05:45 EST
I'm having the same issue as described here on fc6:
chitlesh[0]$rpm -qa | grep kde
kdesdk-3.5.5-0.1.fc6
kdesvn-0.11.0-1.fc6
kdebase-devel-3.5.5-0.4.fc6
qalculate-kde-0.9.4-3.fc6
kdemultimedia-3.5.5-0.1.fc6
kdevelop-3.3.5-0.1.fc6
kdelibs-devel-3.5.5-0.2.fc6
kdepim-3.5.5-0.1.fc6
kdeedu-3.5.5-0.1.fc6
kdeutils-devel-3.5.5-0.1.fc6
kdegraphics-devel-3.5.5-0.1.fc6
kdepim-devel-3.5.5-0.1.fc6
kdebase-3.5.5-0.4.fc6
kdelibs-3.5.5-0.2.fc6
lockdev-devel-1.0.1-10
kdebindings-3.5.5-0.1.fc6
kdenetwork-3.5.5-0.1.fc6
kdeaccessibility-3.5.5-0.1.fc6
kdeaddons-3.5.5-0.1.fc6
kdenetwork-devel-3.5.5-0.1.fc6
kde-i18n-French-3.5.5-0.1.fc6
kdeutils-3.5.5-0.1.fc6
lockdev-1.0.1-10
pikdev-0.9.2-2.fc6
kdegraphics-3.5.5-0.1.fc6
kdeartwork-3.5.5-0.1.fc6
Comment 6 Bug Zapper 2008-04-03 22:22:17 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Kevin Kofler 2008-04-04 10:42:07 EDT
Still happens in Fedora 8 (kdemultimedia-3.5.9-1.fc8). Not tested in F9/KDE4.

CCing comaintainers (except myself as I'm already the reporter).
Comment 8 Bug Zapper 2008-11-26 01:57:03 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Kevin Kofler 2008-11-26 05:24:13 EST
Hmmm, I really need to retest this on F9.
Comment 10 Kevin Kofler 2008-11-26 10:51:30 EST
I can't reproduce this on F9. All evidence points to the D-Bus patches in the mediamanager component of the KDE 3 kdebase (kdebase-3.5.5-dbus.patch). Still, I doubt we're still going to fix this in F8, are we? Dropping the patch and building against the old dbus-qt (now that we can do this because Core and Extras merged, it wasn't possible back in FC5/FC6) might fix this, but do we still have an F8 machine to test this (and the possible side effects) on? The offending kdebase3 component is gone in F9 anyway.
Comment 11 Bug Zapper 2009-01-09 01:56:50 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.